__gnu_parallel::_RandomNumber(3cxx)

NAME
__gnu_parallel::_RandomNumber - Random number generator, based on the Mersenne twister.

SYNOPSIS

  Public Member Functions

_RandomNumber ()
Default constructor. Seed with 0.
_RandomNumber (uint32_t __seed, uint64_t _M_supremum=0x100000000ULL)
Constructor.
unsigned long __genrand_bits (int __bits)
Generate a number of random bits, run-time parameter.
uint32_t operator() ()
Generate unsigned random 32-bit integer.
uint32_t operator() (uint64_t local_supremum)
Generate unsigned random 32-bit integer in the interval [0,local_supremum).

Detailed Description

Random number generator, based on the Mersenne twister.

Constructor & Destructor Documentation

  __gnu_parallel::_RandomNumber::_RandomNumber () [inline]

Default constructor. Seed with 0.

  __gnu_parallel::_RandomNumber::_RandomNumber (uint32_t __seed, uint64_t _M_supremum = 0x100000000ULL) [inline]

Constructor.

Parameters
    __seed Random __seed.
    _M_supremum Generate integer random numbers in the interval [0,_M_supremum).

Member Function Documentation

  unsigned long __gnu_parallel::_RandomNumber::__genrand_bits (int __bits) [inline]

Generate a number of random bits, run-time parameter.

Parameters
    __bits Number of bits to generate.

  uint32_t __gnu_parallel::_RandomNumber::operator() () [inline]

Generate unsigned random 32-bit integer.

  uint32_t __gnu_parallel::_RandomNumber::operator() (uint64_t local_supremum) [inline]

Generate unsigned random 32-bit integer in the interval [0,local_supremum).

Author

Generated automatically by Doxygen for libstdc++ from the source code.